#1757 closed defect (fixed)

RFS does not set iop->size on open.

Reported by: Chris Johns Owned by: Chris Johns
Priority: normal Milestone: 4.10
Component: fs Version: 4.10
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The RFS does not set the iop->size field with the length of a file when opened. A seek to the end of the file fails to append data.

Attachments (2)

pr1775-rfs-set-iop-size-in-open.diff (714 bytes) - added by Chris Johns on Mar 7, 2011 at 10:55:28 PM.
Set iop->size on open
pr1757-4.10-rfs-fix-seek.diff (5.9 KB) - added by Chris Johns on Mar 12, 2011 at 5:38:52 AM.
Fix size on open and seek

Download all attachments as: .zip

Change History (5)

Changed on Mar 7, 2011 at 10:55:28 PM by Chris Johns

Set iop->size on open

Changed on Mar 12, 2011 at 5:38:52 AM by Chris Johns

Fix size on open and seek

comment:1 Changed on Mar 12, 2011 at 5:38:52 AM by Chris Johns

attachments.isobsolete: 01

comment:2 Changed on Mar 15, 2011 at 4:08:43 AM by Chris Johns

Resolution: fixed
Status: newclosed

comment:3 Changed on Mar 15, 2011 at 4:08:56 AM by Chris Johns

Closed.

Note: See TracTickets for help on using tickets.